#!/usr/bin/make -f

# Enable LFS, build system doesn't respect CPPFLAGS.
export DEB_CFLAGS_MAINT_APPEND = -D_LARGEFILE_SUPPORT -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 $(shell dpkg-buildflags --get CPPFLAGS)

%:
	dh $@ --with apache2 --sourcedirectory=native

override_dh_auto_configure:
	dh_auto_configure -- --with-apxs=/usr/bin/apxs2

override_dh_auto_build:
	dh_auto_build
	# Build the documentation
	cd xdocs && ant

override_dh_auto_install:
	# Do nothing here to prevent a FTBFS.

override_dh_compress:
	dh_compress -Xchangelog.html

# No check target
override_dh_auto_test:

override_dh_install:
	mv $(CURDIR)/conf/httpd-jk.conf $(CURDIR)/conf/jk.conf
	dh_install

